
:root {
    --color-primario: #236084;
    --color-secundario: #1A2A36;
    --color-terciario: #81b1db;
    --color-cuarto: #6f92a8;
    --color-quinto: #444444;
    --color-black: #020202;
    --color-white: whitesmoke;
}

.negrita{
    font-weight: bold;
}

.no-scroll {
    overflow: hidden;
}


.galeria_inicio{
    width: 100%;
    height: 280px;
    background-image: url(../img/portadas/portada_extra3.webp);
    background-size: cover;
    background-position: bottom;
}

.galeria_portada{
    display: flex;
    flex-direction: column;
    width: 80%;
    height: 280px;
    margin: auto;
    justify-content: center;
    color: whitesmoke;
}

.galeria_portada h1{
    text-transform: uppercase;
    font-size: 50px;
    font-weight: bold;
    color: var(--color-white);
    margin-bottom: 10px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
}

.galeria_cuerpo{
    display: flex;
    flex-direction: column;
    text-align: center;
}

.galeria_cuerpo > h1{
    margin-bottom: 20px;
}


.galeria_base{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    scroll-behavior: smooth;
    padding: 20px 0px 40px 0px;
    justify-items: center;
}

.galeria_interior{
    width: 100%;
    height: 350px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease-in-out;
}

.galeria_ojo{
    position: absolute;
    cursor: pointer;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10; 
    font-size: 24px; 
    color: white;
    background-color: rgb(238, 238, 238,0.2);
    border-radius: 50%;

}

.galeria_ojo:hover{
    background-color: white;
    color: black;
}



.galeria_foto{
    position: relative;
    width: 100%;
    height: 350px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease-in-out;
}

.galeria_foto img{
    z-index: -1;
    cursor: pointer;
    width: 100%;
    height: inherit;
    object-fit: cover;
    object-position: center;
    overflow: hidden;
    position: relative;
}

.galeria_texto{
    background-color: #EEEEEE;
    display: flex;
    flex-direction: column;
    position: relative;
    bottom: 55px;
    color: black;
    margin: 0;
    z-index: 10;
    font-size: 12px;
    padding: 5px;
    text-align: left;
}

.galeria_texto h1{
    font-size: 12px;
    font-weight: bolder;
    margin-bottom: 5px;
}

.galeria_texto p{
    padding-bottom: 8px;
}

.galeria_numeros{
    width: 75%;
    display: flex;
    justify-content: flex-start;
    margin: 0px auto;
    align-items: center;
}

.prev, .next{
    color: var(--color-primario) !important;
    cursor: pointer;
}

.galeria_numeros i{
    margin: 0px 8px;
    cursor: pointer;
}

.pagination {
    display: flex;
    gap: 5px;
}

.page-number {
    padding: 10px 15px;
    border: none;
    border-radius: 4px;
    background-color: var(--color-primario);
    color: white;
    cursor: pointer;
    transition: background-color 0.3s;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.page-number:hover {
    background-color: var(--color-secundario);
}

.page-number:focus {
    background-color: var(--color-secundario);
}


.galeria_modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    text-align: center;
}

.modal_content {
    position: relative;
    width: 920px; /* Ancho fijo para todas las imágenes del modal */
    height: 620px; /* Altura fija para todas las imágenes */
    max-width: 90%; /* Para asegurarnos de que el modal sea responsive */
    max-height: 90%; /* Para que no ocupe más del 90% de la pantalla */
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.modal_img {
    width: 100%;
    height: 500px; 
    object-fit: cover; /* Ajustar las imágenes a este tamaño, manteniendo la proporción */
    object-position: center; 
    transition: opacity 0.5s ease; /* Animación suave */
    opacity: 0; /* Inicialmente oculta */
}

.modal_img.active {
    opacity: 1; /* Imagen visible al cargar */
}


.modal_text {
    margin: 15px 0;
    color: white;
}

.modal_nav {
    position: absolute;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%); 
}


.prev_modal, .next_modal {
    padding: 8px 12px;
    border-radius: 50%;
    font-size: 30px;
    color: white;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%); /* Centrado verticalmente en el borde */
    transition: background-color 0.3s ease;
}

.prev_modal {
    left: 0;
}

.next_modal {
    right: 0;
}

.prev_modal:hover, .next_modal:hover {
    background-color: rgba(0, 0, 0, 0.5);
}

.modal_footer {
    color: white;
    margin-top: 10px;
}

/* Actualiza el estilo del botón de cerrar (X) */
.galeria_modal .close {
    position: absolute;
    top: -43px; 
    right: 10px; /* Cerca del borde derecho de la imagen */
    font-size: 40px;
    color: white;
    cursor: pointer;
    z-index: 20;
}

@media screen and (max-width: 1120px) {
    .galeria_base {
        grid-template-columns: repeat(2, 1fr);
    }

    .modal_img{
        height: 440px;
    }

    .modal_text{
        margin: 5px;
    }

    
}

@media screen and (max-width: 700px) {
    .galeria_base {
        grid-template-columns: repeat(1, 1fr);
    }

    .galeria_portada h1{
        font-size: 30px;
    }

    .galeria_modal .close {
        font-size: 25px;
        top: -30px; 
    }
}

@media only screen and (max-width: 650px) {
    .galeria_cuerpo > h1{
        font-size: 18px;
    }

    .galeria_numeros{
        justify-content: center;
    }

    .galeria_foto{
        width: 300px;
    }

    .prev_modal, .next_modal {
        padding: 4px 8px;
        font-size: 25px;
    }
}



/* ACA EMPIEZA LA PAGINA DE LAS PISCINAS */

.pagpiscinas_inicio{
    width: 100%;
    height: 280px;
    background-image: url(../img/portadas/portada_modelos.webp);
    background-size: cover;
    background-position: bottom right;
}

.pagpiscinas_portada{
    display: flex;
    flex-direction: column;
    width: 80%;
    height: 280px;
    margin: auto;
    justify-content: center;
    color: whitesmoke;
}

.pagpiscinas_portada h1{
    text-transform: uppercase;
    font-size: 45px;
    font-weight: bold;
    color: var(--color-white);
    margin-bottom: 10px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
}

.pagpiscinas_cuerpo{
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 0px 3%;
}

.pagpiscinas_cuerpo > h1{
    margin-bottom: 20px;
}

.pagpiscinas_cuerpo > p{
    font-size: 17px;
    width: 45%;
    margin: 10px auto;
}


.pagpiscinas_base{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    justify-items: center;
    scroll-behavior: smooth;
    padding: 20px 0px 40px 0px;
}


.pagpiscinas_card{
    position: relative;
    width: 90%;
    max-width: 400px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease-in-out;
}

.div_pagpiscinas_img{
    z-index: -1;
    width: 100%;
    padding: 10px;
}

.div_pagpiscinas_img img{
    width: 100%;
    height: 250px;
    object-fit: cover;
    object-position: center;
    overflow: hidden;
    position: relative;

}

.pagpiscinas_precio{
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

.pagpiscinas_precio p{
    color: var(--color-primario);
    margin-right: 10px;
    font-weight: bold;
}

.pagpiscinas_texto{
    width: 100%;
    display: flex;
    flex-direction:column;
    text-align: left;
    padding: 15px 20px;
    align-items: center;
}

.pagpiscinas_texto > hr{
    margin: 20px;
    border: solid 1px rgba(0, 0, 0, 0.519);
    width: 100%;
}

.pagpiscinas_nombre{
    width: 100%;
    display: flex;
    margin-bottom: 20px;
}

.pagpiscinas_nombre p{
    font-weight: bold;
}

.pagpiscinas_detalles{
    display: flex;
    flex-wrap: wrap;
}

.pagpiscinas_datos{
    min-width: 110px;
    flex: 1 1 50%; /* Ocupa el 50% del ancho si es posible, pero no menos del min-width */
    box-sizing: border-box;
    padding: 10px;
}


.pagpiscinas_boton{
    background-color: var(--color-primario);
    color: white;
    border-radius: 15px;
    width: 40%;
    min-width: 200px;
    height: 35px;
    text-align: center;
    padding: 0 15px;
    cursor: pointer;
    transition: transform 0.3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 21px;
}


@media screen and (max-width: 1200px) {
    .pagpiscinas_base{
        grid-template-columns: repeat(2, 1fr);
    }

    .pagpiscinas_cuerpo > p {
        width: 80%;
    }


}

@media screen and (max-width: 700px) {

    .pagpiscinas_cuerpo > p{
        width: 100%;
    }

    .pagpiscinas_base{
        grid-template-columns: repeat(1, 1fr);
    }

}